import { Component, Event, h, Host } from '@stencil/core';
export class EmptyBenefits {
  render() {
    return (h(Host, { class: "d-flex flex-column justify-content-center benefits-zero-state p-4 border-top" },
      h("div", { class: "text-center my-5" },
        h("ap-ben-icon", { class: "text-success fa-4x", iconPrefix: "fad", iconId: "handshake-alt" }),
        h("ap-ben-icon", { class: "text-success fa-4x px-3", iconPrefix: "fad", iconId: "heartbeat" }),
        h("ap-ben-icon", { class: "text-success fa-4x", iconPrefix: "fad", iconId: "car" })),
      h("div", { class: "text-center mb-3" },
        h("h5", null, "Attract and retain a healthy, productive workforce."),
        h("p", { class: "uiid-noactive-benefit-item text-muted my-1" }, "Begin by building out your employee benefits offering.")),
      h("fl-button", { class: "mb-5 align-self-center", onClick: (_) => {
          var _a;
          (_a = this.newBenefitButtonClicked) === null || _a === void 0 ? void 0 : _a.emit();
        } },
        h("ap-ben-icon", { class: "mr-2", iconPrefix: "far", iconId: "plus" }),
        "New benefit")));
  }
  static get is() { return "ap-ben-empty-benefits"; }
  static get events() { return [{
      "method": "newBenefitButtonClicked",
      "name": "newBenefitButtonClicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "void",
        "resolved": "void",
        "references": {}
      }
    }]; }
}
